Skip to main content
POST
/
v1
/
goals
Create Goal
curl --request POST \
  --url https://api.oviond.com/v1/goals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Q4 Revenue Target",
  "target_value": 250000,
  "description": "<string>",
  "operator": ">=",
  "goal_type": "static",
  "symbol": "<string>",
  "client_id": "<string>",
  "query": null
}
'
{
  "success": true,
  "data": {
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Minimum string length: 1
Example:

"Q4 Revenue Target"

target_value
number
required
Example:

250000

description
string
operator
enum<string>
default:>=
Available options:
>=,
=,
<=
goal_type
enum<string>
default:static
Available options:
static,
change
symbol
string
client_id
string
query
unknown

Response

201 - application/json

Goal created

success
enum<boolean>
required
Available options:
true
data
object
required